Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.uima.ae
Class BasicAEProvider

    java.lang.Object
      org.apache.lucene.analysis.uima.ae.BasicAEProvider

All Implemented Interfaces:
  AEProvider

Direct Known Subclasses:
  OverridingParamsAEProvider

    public class BasicAEProvider

extends Object
implements AEProvider

Basic `AEProvider` which just instantiates a UIMA `AnalysisEngine` with no additional metadata, parameters or resources

Constructor Summary
`BasicAEProvider(String aePath)`

Method Summary
`protected void` | `configureDescription(org.apache.uima.analysis_engine.AnalysisEngineDescription description)`
`org.apache.uima.analysis_engine.AnalysisEngine` | `getAE()` Returns the AnalysisEngine

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicAEProvider

    public BasicAEProvider(String aePath)

Method Detail

### getAE

    public org.apache.uima.analysis_engine.AnalysisEngine getAE()
                                                         throws org.apache.uima.resource.ResourceInitializationException

  Description copied from interface: `AEProvider`
  Returns the AnalysisEngine

  Specified by:
    `getAE` in interface `AEProvider`
  Throws:
    `org.apache.uima.resource.ResourceInitializationException`

### configureDescription

    protected void configureDescription(org.apache.uima.analysis_engine.AnalysisEngineDescription description)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.